Get RFQ Quotes
Get Block RFQ quotes. For maker use only.
Endpoint
POST /api/block/rfqs/get_quotes
Parameters
| Parameter |
Type |
Required |
Description |
| blockRfqId |
string |
false |
ID of the Block RFQ |
| label |
string |
false |
User defined label for the Block RFQ quote (maximum 64 characters). Used to identify quotes of a selected Block RFQ |
| quoteId |
string |
false |
ID of the Block RFQ quote |
Request Example
{
"rid": 20003,
"method": "block/rfqs/get_quotes",
"params": {
"blockRfqId": "253131"
}
}
Response
| Name |
Type |
Description |
| results |
array |
Array of quote objects |
| > quoteId |
string |
ID of the Block RFQ quote |
| > blockRfqId |
string |
ID of the Block RFQ |
| > label |
string |
The user created label for the order |
| > lastUpdatedAt |
long |
Timestamp of the last update of the quote (milliseconds since the UNIX epoch) |
| > filledQuantity |
string |
Filled amount of the quote. For perpetual and futures the filledAmount is in USD units, for options - in units or corresponding cryptocurrency contracts, e.g., BTC or ETH |
| > executionInstruction |
string |
Execution instruction of the quote |
| > createdAt |
long |
The time in UNIX nanoseconds since the epoch when the Order was created |
| > quantity |
string |
The total size of the Quote, denominated in the clearingCurrency of the RFQ |
| > legs |
array |
The composite Instrument legs of the RFQ |
| >> instrumentName |
string |
The exchange instrument name |
| >> ratio |
string |
The relative multiplier applied to the quantity of the Instrument's amount relative to the amount of the RFQ. Maximum of 2 decimal places |
| >> side |
string |
The direction of the composite leg relative to the RFQ |
| >> price |
string |
The price of the Instrument leg, denominated in the quoteCurrency of the RFQ |
| > hedge |
object |
Hedge leg information |
| >> instrumentName |
string |
Instrument name |
| >> price |
string |
The price of the Instrument leg, denominated in the quoteCurrency of the RFQ |
| >> quantity |
string |
This value multiplied by the ratio of a leg gives trade size on that leg |
| >> side |
string |
The direction of the Order |
| > price |
string |
The total strategy price of the Quote, denominated in the quoteCurrency of the RFQ |
| > side |
string |
The direction of the Quote |
| > status |
string |
The availability of the Quote for the user to action |
| > statusReason |
string |
Reason of quote cancellation |
| > replaced |
boolean |
true if the quote was edited, otherwise false |
Response Example
{
"rid": 20003,
"result": {
"results": [
{
"quoteId": "658917",
"blockRfqId": "253131",
"label": "V2 Integration Test Quote1",
"quantity": "25.0",
"appName": "SignalPlus",
"createdAt": 1755154124404,
"side": "buy",
"executionInstruction": "all_or_none",
"filledQuantity": "0.0",
"hedge": {
"instrumentName": "BTC-PERPETUAL",
"quantity": "14720.0",
"side": "sell",
"price": "121842.0"
},
"lastUpdatedAt": 1755154265606,
"legs": [
{
"instrumentName": "BTC-26JUN26-200000-C",
"ratio": "1",
"side": "buy",
"price": "0.1"
}
],
"price": "0.1",
"status": "open",
"replaced": true
}
]
}
}